Subject: Re: FVWM: Different color backgrounds for different buttons

From: Dominik Vogt <[email-masked]>
Date: Thu, 30 Sep 2021 18:48:09 +0200

On Sat, Sep 22, 2001 at 10:38:21PM -0500, Glen Lee Edwards wrote:
> I'm trying to configure buttons so that each has a different color background (I
> could really use this on one FvwmButton bar).  So far I can't get it to work.
> I'm using 2.4.0, with the following line:
> 
> *MyBar3(4x2+8+6, Back grey40, Frame 4 Padding 10 15, Swallow(UseOld,NoClose,NoHints,Respawn) "xmms" \
>    `Exec exec xmms`)
> 
> This particular program is too small for the button, so I need to change the
> button background to make it a little more aesthetically pleasing.

This depends on how you set FvwmButtons' background.  If you used

  FvwmButtonsBack ...

you can use the "Back" options in your button.  But if you have

  FvwmButtonsColorset ...

in your config file, the button background must be changed with
the colorset option:

  *MyBar3(4x2+8+6, Colorset <n>, ...)
                   ^^^^^^^^^^^^

If that does not help you, please post your configuration lines.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].